DOCKER_REGISTRY_URL="dockreg.ex.umbach.dev"
DOCKER_IMAGE_NAME="zeitadler-dashboard-web"

# only allow to run this script as root
if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

echo "Starting static web build of $DOCKER_IMAGE_NAME"
npm run build
echo "Finished static web build of $DOCKER_IMAGE_NAME"

# rm images
docker image rm $DOCKER_IMAGE_NAME

# build images
docker build -t $DOCKER_IMAGE_NAME .

# tag images
docker image tag $DOCKER_IMAGE_NAME:latest $DOCKER_REGISTRY_URL/$DOCKER_IMAGE_NAME:latest

# push to self-hosted docker registry
docker push $DOCKER_REGISTRY_URL/$DOCKER_IMAGE_NAME

echo "Uploaded $DOCKER_IMAGE_NAME to $DOCKER_REGISTRY_URL"