import { Spin } from "antd";
import { useState } from "react";

export default function MyImage({ src, width, style }) {
  const [loaded, setLoaded] = useState(false);

  return (
    <div>
      {loaded ? null : (
        <div
          style={{
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            height: 200,
          }}
        >
          <Spin />
        </div>
      )}

      <img
        src={src}
        width={width}
        style={loaded ? style : { display: "none" }}
        alt="Image"
        onLoad={() => setLoaded(true)}
      />
    </div>
  );
}
