import { Button, Result } from "antd";
import { useTranslation } from "react-i18next";
import { Link } from "react-router-dom";
import { Constants } from "../../utils";

export function ButtonBackHome({ useHref }) {
  const { t } = useTranslation();

  return (
    <Button
      type="primary"
      onClick={() => {
        if (useHref) {
          window.location.href = Constants.DASHBOARD_ADDRESS;
        }
      }}
    >
      {t("pageNotFound.buttonBackHome")}
    </Button>
  );
}

export default function PageNotFound({ useHref = false }) {
  const { t } = useTranslation();

  return (
    <Result
      status="404"
      title={t("pageNotFound.title")}
      subTitle={t("pageNotFound.subTitle")}
      extra={
        useHref ? (
          <ButtonBackHome useHref={useHref} />
        ) : (
          <Link to={Constants.DASHBOARD_ADDRESS}>
            {<ButtonBackHome useHref={useHref} />}
          </Link>
        )
      }
    />
  );
}
